package com.medipreco.loopboxplugin;

import android.util.Log;
import io.flutter.plugin.common.BasicMessageChannel;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StringCodec;

public class LoopboxBasicChannel {

  private static final String DEVICES_NEARBY_EVENT = "com.medipreco.loopboxplugin/devices/nearby";

  private BasicMessageChannel basicMessageChannel;

  private static LoopboxBasicChannel instance;

  private LoopboxBasicChannel() {

  }

  public static LoopboxBasicChannel getInstance() {
    if(instance == null) {
      instance = new LoopboxBasicChannel();
    }

    return instance;
  }

  public void setupEventChannel(BinaryMessenger messenger) {
    this.basicMessageChannel = new BasicMessageChannel<String>(
        messenger,
        DEVICES_NEARBY_EVENT,
        StringCodec.INSTANCE);

    this.basicMessageChannel.setMessageHandler(new BasicMessageChannel.MessageHandler<String>() {
      @Override
      public void onMessage(String s, BasicMessageChannel.Reply<String> reply) {
        reply.reply("Iniciando reply basic message");
      }
    });

    Log.d("LoopboxP", "Assinatura da classe: " + this.hashCode());
  }

  public void send(String msg) {
    Log.d("LoopboxP", "Assinatura da classe em SEND: " + this.hashCode());
    this.basicMessageChannel.send(msg);
  }
}
