package com.medipreco.loopboxplugin;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.EventChannel;

public class LoopboxEventHandler {
  private EventChannel devicesEventChannel;
  private LoopboxStreamHandler eventEmmiter;

  private static final String DEVICES_NEARBY_EVENT = "com.medipreco.loopboxplugin/devices/nearby";

  public LoopboxEventHandler() {
    this.eventEmmiter = new LoopboxStreamHandler();
  }

  public void setupEventChannels(BinaryMessenger binaryMessenger) {
    devicesEventChannel = new EventChannel(binaryMessenger, DEVICES_NEARBY_EVENT);
    devicesEventChannel.setStreamHandler(this.eventEmmiter);
  }

  public void sendMessage(Object msg) {
    this.eventEmmiter.sendMessage(msg);
  }
}